Import Secret Manager References
API server
https://app.coolify.io/api/v1Add a {{vault.KEY}} environment variable for every key of the linked source that has no variable yet. Keys that are not valid variable names are skipped.
Authorization
bearerAuth AuthorizationBearer <token>
Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Path Parameters
resource_type*string
Resource type.
Value in
"applications" | "services" | "databases"uuid*string
Resource UUID.
Response Body
application/json
application/json
application/json
curl -X POST "https://app.coolify.io/api/v1/applications/string/secret-manager/import"{ "imported": [ "string" ], "skipped": [ "string" ]}Empty
{ "message": "Unauthenticated."}Empty
{ "message": "Resource not found."}Get Secret Manager Source GET
The secret manager source of an application, service, or database, and the secret manager tokens of its team that can be linked.
List Secret Manager Keys GET
Key names of the secrets in the linked source. Values are never returned. Requires write access, like the resource page, because the stored secret is sent to the secret manager.
